{{- /*  Initialize. */}}
{{- $name := strings.Split (.Get "name") "::" }}
{{- $scoped := isset $name "1" }}
{{- $color := default "#428BCA" (.Get "color") }}
{{- $light := .Get "light" }}

<span
  class="gl-label {{- if eq (len $light) 0 }} gl-label-text-light {{- end }} {{- if $scoped }} gl-label-scoped {{- end }}"
  style="
    --label-background-color: {{ $color }};
    --label-inset-border: inset 0 0 0 2px {{ $color }};
  "
>
  <span class="gl-link gl-label-link">
    <span class="gl-label-text"> {{ index $name 0 }} </span>

    {{- if $scoped }}
    <span class="gl-label-text-scoped"> {{ index $name 1 }} </span>
    {{- end }}
  </span>
</span>
